Mageia 2022-0313: postgresql security update | LinuxSecurity.com

Advisories

MGASA-2022-0313 - Updated postgresql packages fix security vulnerability

Publication date: 29 Aug 2022
URL: https://advisories.mageia.org/MGASA-2022-0313.html
Type: security
Affected Mageia releases: 8
CVE: CVE-2022-1552,
     CVE-2022-2625

Autovacuum, REINDEX, and others omit "security restricted operation"
sandbox (CVE-2022-1552)
Extension scripts replace objects not belonging to the extension
(CVE-2022-2625)

References:
- https://bugs.mageia.org/show_bug.cgi?id=30739
- https://www.postgresql.org/about/news/postgresql-145-138-1212-1117-1022-and-15-beta-3-released-2496/
- https://www.postgresql.org/support/security/CVE-2022-1552/
- https://www.postgresql.org/support/security/CVE-2022-2625/
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-1552
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-2625

SRPMS:
- 8/core/postgresql11-11.17-1.mga8
- 8/core/postgresql13-13.8-1.mga8

Mageia 2022-0313: postgresql security update

Summary

Autovacuum, REINDEX, and others omit "security restricted operation" sandbox (CVE-2022-1552) Extension scripts replace objects not belonging to the extension (CVE-2022-2625)

References

- https://bugs.mageia.org/show_bug.cgi?id=30739

- https://www.postgresql.org/about/news/postgresql-145-138-1212-1117-1022-and-15-beta-3-released-2496/

- https://www.postgresql.org/support/security/CVE-2022-1552/

- https://www.postgresql.org/support/security/CVE-2022-2625/

- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-1552

- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-2625

Resolution

MGASA-2022-0313 - Updated postgresql packages fix security vulnerability

SRPMS

- 8/core/postgresql11-11.17-1.mga8

- 8/core/postgresql13-13.8-1.mga8

Severity
Publication date: 29 Aug 2022
URL: https://advisories.mageia.org/MGASA-2022-0313.html
Type: security
CVE: CVE-2022-1552, CVE-2022-2625

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.